MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004684ATutorAdminpublic2011-01-11 09:102011-08-29 14:11
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.3 
Summary0004684: admin create user password
DescriptionWhen an admin creates a new user account, the confirmation message does not have a password etc. thus users are unable to login.
TagsNo tags attached.
Affects versionSVN
SVN Revision##
Attached Files

- Relationships

-  Notes
(0004875)
IndieRect (reporter)
2011-01-11 09:28

On the other hand, sending passwords over the net is unsafe.

One possible solution is sending them anyway, but then forcing users to change them upon the first login.

Another solution: create a user with an empty password, send him/her a link with a random one-time token, then after following the link show a form asking for a new password.
(0004876)
harris (developer)
2011-01-11 10:09

+1 one-time token URL, prompt for new password upon first login.
(0005211)
greg (administrator)
2011-08-23 14:23

Updated the language, to instruct new users to follow the link and click on "forgot your password" to set a password.
(0005283)
greg (administrator)
2011-08-29 14:11

2.0.3 bugs resolved and closed round 2

- Issue History
Date Modified Username Field Change
2011-01-11 09:10 greg New Issue
2011-01-11 09:10 greg Affects version => SVN
2011-01-11 09:28 IndieRect Note Added: 0004875
2011-01-11 10:09 harris Note Added: 0004876
2011-07-18 16:32 greg Assigned To => greg
2011-07-18 16:32 greg Status new => assigned
2011-08-23 14:23 greg SVN Revision# => #
2011-08-23 14:23 greg Note Added: 0005211
2011-08-23 14:23 greg Status assigned => resolved
2011-08-23 14:23 greg Fixed in Version => 2.0.3
2011-08-23 14:23 greg Resolution open => fixed
2011-08-29 14:11 greg Note Added: 0005283
2011-08-29 14:11 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker